Bug 237940 - cpuspeed init script uses some incorrect exit codes
cpuspeed init script uses some incorrect exit codes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cpuspeed (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On:
Blocks: 237789 237941 237942
  Show dependency treegraph
 
Reported: 2007-04-26 05:02 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0609
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:27:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-26 05:02:35 EDT
Description of problem:
Following code ends the script with error code 0 when the binary does not exist
even though the service was not started.
[ -f /usr/sbin/cpuspeed ] || exit 0
There are also minor errors in wrong error codes (unimplemented feature
(reload/start_again or something) has error code 3 and not one.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. rename the binary
2. service cpuspeed start/status
3. echo $?
  
Actual results:
0

Expected results:
correct error code/status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 2 RHEL Product and Program Management 2007-05-21 16:24:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jarod Wilson 2007-05-21 16:41:18 EDT
Fix is in cpuspeed 1.2.1-1.46.el5
Comment 8 errata-xmlrpc 2007-11-07 12:27:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0609.html

Note You need to log in before you can comment on or make changes to this bug.